Package com.sas.lsaf.schedule

## Enum ScheduleTrigger.TriggerType

- java.lang.Object
- - java.lang.Enum<ScheduleTrigger.TriggerType>
  - - com.sas.lsaf.schedule.ScheduleTrigger.TriggerType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ScheduleTrigger.TriggerType>`
  Enclosing class:
    ScheduleTrigger

      public static enum ScheduleTrigger.TriggerType
      extends java.lang.Enum<ScheduleTrigger.TriggerType>

  The intervals in which the schedule runs.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DAILY` |
    `HOURLY` |
    `MINUTELY` |
    `ONCE` |
    `WEEKLY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScheduleTrigger.TriggerType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ScheduleTrigger.TriggerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONCE

          public static final ScheduleTrigger.TriggerType ONCE

    - #### MINUTELY

          public static final ScheduleTrigger.TriggerType MINUTELY

    - #### HOURLY

          public static final ScheduleTrigger.TriggerType HOURLY

    - #### DAILY

          public static final ScheduleTrigger.TriggerType DAILY

    - #### WEEKLY

          public static final ScheduleTrigger.TriggerType WEEKLY

  - ### Method Detail

    - #### values

          public static ScheduleTrigger.TriggerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScheduleTrigger.TriggerType c : ScheduleTrigger.TriggerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScheduleTrigger.TriggerType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null